<?php 
include('db___cn.php');
$mysqli=conex_db_mysql();

switch($_POST['opcion'])
{
  case 1:
  $verificar="SELECT IdEstudiante,tb_estudiantes.IdCarrera,tb_carrera.CarreraProfesional
              FROM tb_estudiantes,tb_carrera 
  WHERE tb_estudiantes.IdCarrera=tb_carrera.IdCarrera
  and Usuario='".$_POST['dni']."'
  and Clave='".$_POST['password']."'";
  $ejecutar_verificar=$mysqli->query($verificar);

  if(mysqli_num_rows($ejecutar_verificar)>0)
    {
       session_start();
       $fila_estudiante=mysqli_fetch_array($ejecutar_verificar);
       $_SESSION['IdStudent']=$fila_estudiante['IdEstudiante'];
       $_SESSION['IdCarrera']=$fila_estudiante['IdCarrera'];
       $_SESSION['Carrera']=$fila_estudiante['CarreraProfesional'];
       echo 1;
     }
     else
     {
       echo 2;
     }
break;
case 2:
        $cambiar_clave="UPDATE tb_estudiantes SET Clave='".$_POST['clave']."'  
                       WHERE IdEstudiante='".$_POST['id']."'";
        $mysqli->query($cambiar_clave);
      echo 1;                     
break; 
case 3:
       $fecha_actual=new DateTime(date("Y-m-d"));
        $fecha_nac = new DateTime($_POST['fecha_nac']);
        $year_nac = $fecha_nac->format('Y');
        $year_actual = $fecha_actual->format('Y');
        $edad=$year_actual - $year_nac;
        
        if($edad>16)
        {$actualizar="UPDATE tb_estudiantes SET NumCelular='".$_POST['celular']."',Email='".trim($_POST['email'])."',FechaNac='".$fecha_nac->format("Y-m-d")."',edad='".$edad."',Domicilio='".trim($_POST['domicilio'])."'
                      WHERE IdEstudiante='".$_POST['Id1']."'";
         $mysqli->query($actualizar) or die("2");
         echo 1;
        }
        else
        {
          echo 3;
        }  
break;


case 7:
      $fecha_registro=date("Y-m-d");
      $verificar_postulacion="SELECT IdBolsaLaboral,IdEstudiante FROM tb_bolsa_laboral_postulaciones
                               WHERE IdBolsaLaboral=".$_POST['id1']." and IdEstudiante=".$_POST['id2'];
      $rs_verificar_postulacion=$mysqli->query($verificar_postulacion) or die("2");

  if(mysqli_num_rows($rs_verificar_postulacion)==0)
    {
      $registrar_postulacion="INSERT INTO  tb_bolsa_laboral_postulaciones(IdBolsaLaboral,IdEstudiante,FechaPostulacion,CondicionPostulacion)
                               VALUES('".$_POST['id1']."','".$_POST['id2']."','".$fecha_registro."','En Evaluacion')";
      $mysqli->query($registrar_postulacion) or die("2");                     
       echo 1;
    }
    else
    {
      echo 3;
    }                         
break; 
case 8:
       $fecha_actual=new DateTime(date("Y-m-d"));
        $year_nac = $_POST['y'];
        $year_actual = $fecha_actual->format('Y');
        $edad=$year_actual - $year_nac;
        echo $edad;
break;  
}
?>
